#ifndef __NTDDPACK_H_
#define __NTDDPACK_H_

// #include <devioctl.h>

#pragma pack(1)
typedef struct _PACKET_OID_DATA {
  ULONG           Oid;
  ULONG           Length;
  UCHAR           Data[1];
} PACKET_OID_DATA, *PPACKET_OID_DATA;
#pragma pack()

#define FILE_DEVICE_PROTOCOL        0x8000

#define IOCTL_PROTOCOL_SET_OID      CTL_CODE(FILE_DEVICE_PROTOCOL, 0 , METHOD_BUFFERED, FILE_ANY_ACCESS)
#define IOCTL_PROTOCOL_QUERY_OID    CTL_CODE(FILE_DEVICE_PROTOCOL, 1 , METHOD_BUFFERED, FILE_ANY_ACCESS)
#define IOCTL_PROTOCOL_RESET        CTL_CODE(FILE_DEVICE_PROTOCOL, 2 , METHOD_BUFFERED, FILE_ANY_ACCESS)

#endif // __NTDDPACK_H_
